function Star() {

	this.name = "Star";
	this.item = new Array();
	this.itemcount = 0;
	this.currentspeed = 0;
	this.scrollspeed = 50;
	this.pausedelay = 1000;
	this.pausemouseover = false;
	this.stop = false;
	this.type = 1;
	this.height = 115;
	this.width = 575;
	this.stopHeight=0;
	this.i=0;

	this.add = function () {

    if (!arguments[0]) {

        var url1 = "#";
        var img1 = g4_path + "/design/img/icon_Noimg70x70.gif";
        var title1 = "등록된 게시물이 없습니다.";

    } else {

    		var url1 = arguments[0];
    		var img1 = arguments[1];
    		var title1 = arguments[2];

    }


    if (!arguments[3]) {

        var url2 = "#";
        var img2 = g4_path + "/design/img/icon_Noimg70x70.gif";
        var title2 = "등록된 게시물이 없습니다.";

    } else {

    		var url2 = arguments[3];
    		var img2 = arguments[4];
    		var title2 = arguments[5];

    }


    if (!arguments[6]) {

        var url3 = "#";
        var img3 = g4_path + "/design/img/icon_Noimg70x70.gif";
        var title3 = "등록된 게시물이 없습니다.";

    } else {

    		var url3 = arguments[6];
    		var img3 = arguments[7];
    		var title3 = arguments[8];

    }


    if (!arguments[9]) {

        var url4 = "#";
        var img4 = g4_path + "/design/img/icon_Noimg70x70.gif";
        var title4 = "등록된 게시물이 없습니다.";

    } else {

    		var url4 = arguments[9];
    		var img4 = arguments[10];
    		var title4 = arguments[11];

    }


    if (!arguments[12]) {

        var url5 = "#";
        var img5 = g4_path + "/design/img/icon_Noimg70x70.gif";
        var title5 = "등록된 게시물이 없습니다.";

    } else {

		    var url5 = arguments[12];
		    var img5 = arguments[13];
		    var title5 = arguments[14];

    }


    strHTML = "<table border='0' cellspacing='0' cellpadding='0'>";
    strHTML += "<tr>";
    strHTML += "<td width='120' align='center'><div style='width:100px; border:1px solid #CCCCCC; padding:2px;'><a href='"+url1+"'><img src='"+img1+"' width='100' height='70' border='0' align='absmiddle'></a></div></td>";
    strHTML += "<td width='120' align='center'><div style='width:100px; border:1px solid #CCCCCC; padding:2px;'><a href='"+url2+"'><img src='"+img2+"' width='100' height='70' border='0' align='absmiddle'></a></div></td>";
    strHTML += "<td width='120' align='center'><div style='width:100px; border:1px solid #CCCCCC; padding:2px;'><a href='"+url3+"'><img src='"+img3+"' width='100' height='70' border='0' align='absmiddle'></a></div></td>";
    //strHTML += "<td width='115' align='center'><div style='width:100px; border:1px solid #CCCCCC; padding:2px;'><a href='"+url4+"'><img src='"+img4+"' width='100' height='70' border='0' align='absmiddle'></a></div></td>";
    //strHTML += "<td width='115' align='center'><div style='width:100px; border:1px solid #CCCCCC; padding:2px;'><a href='"+url5+"'><img src='"+img5+"' width='100' height='70' border='0' align='absmiddle'></a></div></td>";
    strHTML += "</tr>";
    strHTML += "<tr height='5'><td colspan='5'></td></tr>";
    strHTML += "<tr height='40'>";
    strHTML += "<td width='120' align='center'><div style='width:100px; text-align:center;'><a href='"+url1+"'>"+title1+"</a></div></td>";
    strHTML += "<td width='120' align='center'><div style='width:100px; text-align:center;'><a href='"+url2+"'>"+title2+"</a></div></td>";
    strHTML += "<td width='120' align='center'><div style='width:100px; text-align:center;'><a href='"+url3+"'>"+title3+"</a></div></td>";
    //strHTML += "<td width='115' align='center'><a href='"+url4+"'>"+title4+"</a></td>";
    //strHTML += "<td width='115' align='center'><a href='"+url5+"'>"+title5+"</a></td>";
    strHTML += "</tr>";
    strHTML += "</table>";

		this.item[this.itemcount] = strHTML;
		this.itemcount = this.itemcount + 1;
	};


	this.start = function () {
		if ( this.itemcount == 1 ) {
			this.add(this.item[0]);
		}
		this.display();
		this.currentspeed = this.scrollspeed;
		if ( this.type == 1 || this.type == 2 ) {
			this.stop = true;
			setTimeout(this.name+'.scroll()',this.currentspeed);
			window.setTimeout(this.name+".stop = false", this.pausedelay);
		} else if ( this.type == 3 ) {
			this.stop = true;
			setTimeout(this.name+'.rolling()',this.currentspeed);
			window.setTimeout(this.name+".stop = false", this.pausedelay);
		}
	};

	this.display = function () {
		document.write('<div id="'+this.name+'" style="height:'+this.height+'; width:'+this.width+'; position:relative; overflow:hidden; " OnMouseOver="'+this.name+'.onmouseover(); " OnMouseOut="'+this.name+'.onmouseout(); ">');
		for(var i = 0; i < this.itemcount; i++) {
			document.write('<div id="'+this.name+'item'+i+'"style="left:'+(this.width*i)+'px; width:'+this.width+'; position:absolute; top:0px; ">');
			document.write(this.item[i]);
			document.write('</div>');
		}
		document.write('</div>');
	};

	this.scroll = function () {

		if ( this.pause == true ) {

			window.setTimeout(this.name+".scroll()",this.pausedelay);
			this.pause = false;

		} else {

			this.currentspeed = this.scrollspeed;
			if ( !this.stop ) {
				for (i = 0; i < this.itemcount; i++) {
					obj = document.getElementById(this.name+'item'+i).style;
					if ( this.type == 1 ) {
						obj.top = parseInt(obj.top) - 1;
						if ( parseInt(obj.top) <= this.height * (-1) ) obj.top = this.height * (this.itemcount-1);
						if ( parseInt(obj.top) == 0 ) this.currentspeed = this.pausedelay;
					} else if ( this.type == 2 ) {
						obj.left = parseInt(obj.left) - 1;
						if ( parseInt(obj.left) <= this.width * (-1) ) obj.left = this.width * (this.itemcount-1);
						if ( parseInt(obj.left) == 0 ) this.currentspeed = this.pausedelay;
					}
				}
			}
			window.setTimeout(this.name+".scroll()",this.currentspeed);
		}
	};

	this.rolling = function () {
		if ( this.stop == false  ) {
			this.next();
		}
		window.setTimeout(this.name+".rolling()",this.scrollspeed);
	}

	this.onmouseover = function () {
		if ( this.pausemouseover ) {
			this.stop = true;
		}
	};

	this.onmouseout = function () {
		if ( this.pausemouseover ) {
			this.stop = false;
		}
	};
	this.next = function() {
		for (i = 0; i < this.itemcount; i++) {
			obj = document.getElementById(this.name+'item'+i).style;
			if ( parseInt(obj.left) < 1 ) { 
				width = this.width + parseInt(obj.left);
				break;
			}
		}

		for (i = 0; i < this.itemcount; i++) {
			obj = document.getElementById(this.name+'item'+i).style;
			if ( parseInt(obj.left) < 1 ) { 
				obj.left = this.width * (this.itemcount-1);
			} else {
				obj.left = parseInt(obj.left) - width;
			}
		}
	};

	this.prev = function() {
		for (i = 0; i < this.itemcount; i++) {
			obj = document.getElementById(this.name+'item'+i).style;
			if ( parseInt(obj.left) < 1 ) {
				width = parseInt(obj.left) * (-1);
				break;
			}
		}
		if ( width == 0 ) {
			total_width = this.width * (this.itemcount-1);
			for (i = 0; i < this.itemcount; i++) {
				obj = document.getElementById(this.name+'item'+i).style;
				if ( parseInt(obj.left) + 1 > total_width ) {
					obj.left = 0;
				} else {
					obj.left = parseInt(obj.left) + this.width;
				}
			}
		} else {
			for (i = 0; i < this.itemcount; i++) {
				obj = document.getElementById(this.name+'item'+i).style;
				if ( parseInt(obj.left) < 1 ) {
					obj.left = 0;
				} else {
					obj.left = parseInt(obj.left) + width;
				}
			}
		}
	};

	this.unext = function () {
		this.next();
	};

	this.uprev = function () {
		this.prev();
	};

}